#!/usr/bin/env bash

# В файле .bedGraph сортирует строки в нужном порядке, с сохранением заголовка в первой строке, сохраняет в файл .sorted.bedGraph
# конвертирует .sorted.bedGraph в файл .bw (формат BigWig)
# Замечено, что UCSC для .bw не отображает цвета, которые были в заголовке файла .bedGraph


# $1 - имя файла *.bedGraph без расширения

# TODO: проверить расширение, если .bg - отрезать
# TODO: проверить расширение, если .bedGraph - отрезать


bedSort $1.bedGraph $1.sorted.bedGraph
bedGraphToBigWig $1.sorted.bedGraph hg19.chrom.sizes $1.bw

